Vec4f File Reference
`#include <osg/Vec3f>`

Go to the source code of this file.

## Classes

class | osg::Vec4f

## Namespaces

namespace | osg

## Macros

#define | OSG_VEC4F 1

## Functions

Vec4f::value_type | osg::operator* (const Vec3f &lhs, const Vec4f &rhs)
Vec4f::value_type | osg::operator* (const Vec4f &lhs, const Vec3f &rhs)
Vec4f | osg::componentMultiply (const Vec4f &lhs, const Vec4f &rhs)
Vec4f | osg::componentDivide (const Vec4f &lhs, const Vec4f &rhs)

## Macro Definition Documentation

## OSG_VEC4F

#define OSG_VEC4F 1